export default abstract class State {
    abstract getName(): string;
    abstract startTransform(): State;
    abstract transform(): State;
    abstract startSkill(): string | void;
}
export declare abstract class HumanState extends State {
    startTransform(): State;
    startSkill(): void;
}
export declare abstract class PrecureState extends State {
    abstract skill(): string;
    startTransform(): State;
    startSkill(): string;
}
