"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var grace = __importStar(require("./cure-grace"));
var fontaine = __importStar(require("./cure-fontaine"));
var sparkle = __importStar(require("./cure-sparkle"));
var Precure = /** @class */ (function () {
    function Precure(state) {
        this.state = state;
    }
    Precure.prototype.getName = function () {
        return this.state.getName();
    };
    Precure.prototype.transform = function () {
        this.state = this.state.startTransform();
    };
    Precure.prototype.skill = function () {
        return this.state.startSkill();
    };
    Precure.createCureGrace = function () {
        return new Precure(new grace.Human());
    };
    Precure.createCureFontaine = function () {
        return new Precure(new fontaine.Human());
    };
    Precure.createCureSparkle = function () {
        return new Precure(new sparkle.Human());
    };
    Precure.getPrecures = function () {
        var precures = [];
        precures.push(this.createCureGrace());
        precures.push(this.createCureFontaine());
        precures.push(this.createCureSparkle());
        return precures;
    };
    return Precure;
}());
exports.default = Precure;
//# sourceMappingURL=precure.js.map